## Apache Zeta Components Manual :: Docs For Class ezcAuthenticationLdapException

### Authentication::ezcAuthenticationLdapException

### Class ezcAuthenticationLdapException

Thrown when an exceptional state occurs in the LDAP authentication.

Source for this file: /Authentication/src/exceptions/ldap_exception.php

    Exception
       |
       --ezcBaseException
          |
          --ezcAuthenticationException
             |
             --ezcAuthenticationLdapException

Version: | //autogen//

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`
From Exception (Internal Class)
protected | `$code`
protected | `$file`
protected | `$line`
protected | `$message`
private | `$previous`
private | `$string`
private | `$trace`

### Method Summary

public ezcAuthenticationLdapException | `__construct( $message , [ $code = false] , [ $ldapMessage = false] )` Constructs a new ezcAuthenticationLdapException with error message $message and error code $code.

### Inherited Methods

From ezcAuthenticationException
public ezcAuthenticationException | `ezcAuthenticationException::__construct()` Constructs a new ezcAuthenticationException with error message $message.
From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message
From Exception (Internal Class)
public Exception | `constructor __construct ( [$message = ], [$code = ], [$previous = ] )`
public void | `getCode ( )`
public void | `getFile ( )`
public void | `getLine ( )`
public void | `getMessage ( )`
public void | `getPrevious ( )`
public void | `getTrace ( )`
public void | `getTraceAsString ( )`
public void | `__clone ( )`
public void | `__toString ( )`

### Methods

#### __construct

ezcAuthenticationLdapException __construct( string $message , [mixed $code = false] , [mixed $ldapMessage = false] )

Constructs a new ezcAuthenticationLdapException with error message $message and error code $code.

Code $code is received in decimal format and will be displayed in hexadecimal format. See http://php.net/manual/en/function.ldap-errno.php for all the error codes returned by ldap_errno().

##### Parameters:

Name | Type | Description
--- | --- | ---
`$message` | string | Message to throw
`$code` | mixed | Error code returned by ldap_errno() function
`$ldapMessage` | mixed | Message thrown by the LDAP server

##### Redefinition of:

Method | Description
--- | ---
`ezcAuthenticationException::__construct()` | Constructs a new ezcAuthenticationException with error message $message.

Documentation generated by phpDocumentor 1.4.3